Details

      Description

      The jpa fraction provides the entire JPA subsystem of WildFly, which supports Hibernate-specific annotations. However, it doesn't bring a dependency on Hibernate Core, so users have to add a dependency on org.hibernate:hibernate-core themselves. That's unfriendly, because they need to figure out which version to use.

      Instead, we should have a hibernate fraction which would:

      • transitively bring in the jpa fraction
      • bring in hibernate-core (and most likely also hibernate-envers) of the correct version

      This fraction wouldn't do anything more. It would just manage the Hibernate version.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                smarlow Scott Marlow
                Reporter:
                lthon Ladislav Thon
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: